<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.4.2) on Thu May 05 15:26:37 EDT 2005 -->
<TITLE>
E-Index
</TITLE>


<LINK REL ="stylesheet" TYPE="text/css" HREF="../apistyles.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="E-Index";
}
</SCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=3 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../serialized-form.html"><FONT CLASS="NavBarFont1"><B>Serialized</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<A HREF="#main"><FONT CLASS="NavBarFont1Rev"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="index-3.html"><B>PREV LETTER</B></A>&nbsp;
&nbsp;<A HREF="index-5.html"><B>NEXT LETTER</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="index-4.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>

</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<A NAME="main"></A>
<A HREF="index-1.html">A</A> <A HREF="index-2.html">C</A> <A HREF="index-3.html">D</A> <A HREF="index-4.html">E</A> <A HREF="index-5.html">F</A> <A HREF="index-6.html">G</A> <A HREF="index-7.html">H</A> <A HREF="index-8.html">I</A> <A HREF="index-9.html">J</A> <A HREF="index-10.html">M</A> <A HREF="index-11.html">N</A> <A HREF="index-12.html">O</A> <A HREF="index-13.html">P</A> <A HREF="index-14.html">R</A> <A HREF="index-15.html">S</A> <A HREF="index-16.html">T</A> <A HREF="index-17.html">U</A> <A HREF="index-18.html">V</A> <A HREF="index-19.html">W</A> <HR>
<A NAME="_E_"><!-- --></A><H2>
<B>E</B></H2>
<DL>
<DT><A HREF="../org/eclipse/jst/j2ee/componentcore/util/EARArtifactEdit.html" title="class in org.eclipse.jst.j2ee.componentcore.util"><B>EARArtifactEdit</B></A> - class org.eclipse.jst.j2ee.componentcore.util.<A HREF="../org/eclipse/jst/j2ee/componentcore/util/EARArtifactEdit.html" title="class in org.eclipse.jst.j2ee.componentcore.util">EARArtifactEdit</A>.<DD>
 EARArtifactEdit obtains an <CODE>org.eclipse.jst.j2ee.application.Application</CODE>&nbsp;metamodel.<DT><A HREF="../org/eclipse/jst/j2ee/componentcore/util/EARArtifactEdit.html#EARArtifactEdit(ComponentHandle, boolean)"><B>EARArtifactEdit(ComponentHandle, boolean)</B></A> - 
Constructor for class org.eclipse.jst.j2ee.componentcore.util.<A HREF="../org/eclipse/jst/j2ee/componentcore/util/EARArtifactEdit.html" title="class in org.eclipse.jst.j2ee.componentcore.util">EARArtifactEdit</A>
<DD>&nbsp;
<DT><A HREF="../org/eclipse/jst/j2ee/componentcore/util/EARArtifactEdit.html#EARArtifactEdit(ArtifactEditModel)"><B>EARArtifactEdit(ArtifactEditModel)</B></A> - 
Constructor for class org.eclipse.jst.j2ee.componentcore.util.<A HREF="../org/eclipse/jst/j2ee/componentcore/util/EARArtifactEdit.html" title="class in org.eclipse.jst.j2ee.componentcore.util">EARArtifactEdit</A>
<DD>
 Creates an instance facade for the given <CODE>ArtifactEditModel</CODE>.
<DT><A HREF="../org/eclipse/jst/j2ee/componentcore/util/EARArtifactEdit.html#EARArtifactEdit(ModuleCoreNature, WorkbenchComponent, boolean)"><B>EARArtifactEdit(ModuleCoreNature, WorkbenchComponent, boolean)</B></A> - 
Constructor for class org.eclipse.jst.j2ee.componentcore.util.<A HREF="../org/eclipse/jst/j2ee/componentcore/util/EARArtifactEdit.html" title="class in org.eclipse.jst.j2ee.componentcore.util">EARArtifactEdit</A>
<DD>
 Creates an instance facade for the given <CODE>ArtifactEditModel</CODE>
 
<DT><A HREF="../org/eclipse/jst/j2ee/datamodel/properties/IJ2EEComponentCreationDataModelProperties.html#EAR_COMPONENT_HANDLE"><B>EAR_COMPONENT_HANDLE</B></A> - 
Static variable in interface org.eclipse.jst.j2ee.datamodel.properties.<A HREF="../org/eclipse/jst/j2ee/datamodel/properties/IJ2EEComponentCreationDataModelProperties.html" title="interface in org.eclipse.jst.j2ee.datamodel.properties">IJ2EEComponentCreationDataModelProperties</A>
<DD>type URI, this property needs to be set if the value of the property ADD_TO_EAR  is set to <code>Boolean.TRUE</code>.
<DT><A HREF="../org/eclipse/jst/j2ee/datamodel/properties/IJ2EEComponentCreationDataModelProperties.html#EAR_COMPONENT_NAME"><B>EAR_COMPONENT_NAME</B></A> - 
Static variable in interface org.eclipse.jst.j2ee.datamodel.properties.<A HREF="../org/eclipse/jst/j2ee/datamodel/properties/IJ2EEComponentCreationDataModelProperties.html" title="interface in org.eclipse.jst.j2ee.datamodel.properties">IJ2EEComponentCreationDataModelProperties</A>
<DD>type String, this property needs to be set if the value of the property ADD_TO_EAR  is set to <code>Boolean.TRUE</code>
<DT><A HREF="../org/eclipse/jst/j2ee/datamodel/properties/IJavaUtilityJarImportDataModelProperties.html#EAR_COMPONENT_NAME"><B>EAR_COMPONENT_NAME</B></A> - 
Static variable in interface org.eclipse.jst.j2ee.datamodel.properties.<A HREF="../org/eclipse/jst/j2ee/datamodel/properties/IJavaUtilityJarImportDataModelProperties.html" title="interface in org.eclipse.jst.j2ee.datamodel.properties">IJavaUtilityJarImportDataModelProperties</A>
<DD>Required, type String.
<DT><A HREF="../org/eclipse/jst/j2ee/datamodel/properties/IJ2EEModuleImportDataModelProperties.html#EAR_NAME"><B>EAR_NAME</B></A> - 
Static variable in interface org.eclipse.jst.j2ee.datamodel.properties.<A HREF="../org/eclipse/jst/j2ee/datamodel/properties/IJ2EEModuleImportDataModelProperties.html" title="interface in org.eclipse.jst.j2ee.datamodel.properties">IJ2EEModuleImportDataModelProperties</A>
<DD>Optional, type String.
<DT><A HREF="../org/eclipse/jst/j2ee/datamodel/properties/IJavaUtilityJarImportDataModelProperties.html#EAR_PROJECT_NAME"><B>EAR_PROJECT_NAME</B></A> - 
Static variable in interface org.eclipse.jst.j2ee.datamodel.properties.<A HREF="../org/eclipse/jst/j2ee/datamodel/properties/IJavaUtilityJarImportDataModelProperties.html" title="interface in org.eclipse.jst.j2ee.datamodel.properties">IJavaUtilityJarImportDataModelProperties</A>
<DD>Required, type String.
<DT><A HREF="../org/eclipse/jst/j2ee/ejb/componentcore/util/EJBArtifactEdit.html" title="class in org.eclipse.jst.j2ee.ejb.componentcore.util"><B>EJBArtifactEdit</B></A> - class org.eclipse.jst.j2ee.ejb.componentcore.util.<A HREF="../org/eclipse/jst/j2ee/ejb/componentcore/util/EJBArtifactEdit.html" title="class in org.eclipse.jst.j2ee.ejb.componentcore.util">EJBArtifactEdit</A>.<DD>
 EJBArtifactEdit obtains a EJB Deployment Descriptor metamodel specifec data from a
 <CODE>org.eclipse.jst.j2ee.ejb.EJBResource</CODE>&nbsp; which stores the metamodel.<DT><A HREF="../org/eclipse/jst/j2ee/ejb/componentcore/util/EJBArtifactEdit.html#EJBArtifactEdit(ComponentHandle, boolean)"><B>EJBArtifactEdit(ComponentHandle, boolean)</B></A> - 
Constructor for class org.eclipse.jst.j2ee.ejb.componentcore.util.<A HREF="../org/eclipse/jst/j2ee/ejb/componentcore/util/EJBArtifactEdit.html" title="class in org.eclipse.jst.j2ee.ejb.componentcore.util">EJBArtifactEdit</A>
<DD>&nbsp;
<DT><A HREF="../org/eclipse/jst/j2ee/ejb/componentcore/util/EJBArtifactEdit.html#EJBArtifactEdit(ArtifactEditModel)"><B>EJBArtifactEdit(ArtifactEditModel)</B></A> - 
Constructor for class org.eclipse.jst.j2ee.ejb.componentcore.util.<A HREF="../org/eclipse/jst/j2ee/ejb/componentcore/util/EJBArtifactEdit.html" title="class in org.eclipse.jst.j2ee.ejb.componentcore.util">EJBArtifactEdit</A>
<DD>
 Creates an instance facade for the given <CODE>ArtifactEditModel</CODE>.
<DT><A HREF="../org/eclipse/jst/j2ee/ejb/componentcore/util/EJBArtifactEdit.html#EJBArtifactEdit(ModuleCoreNature, WorkbenchComponent, boolean)"><B>EJBArtifactEdit(ModuleCoreNature, WorkbenchComponent, boolean)</B></A> - 
Constructor for class org.eclipse.jst.j2ee.ejb.componentcore.util.<A HREF="../org/eclipse/jst/j2ee/ejb/componentcore/util/EJBArtifactEdit.html" title="class in org.eclipse.jst.j2ee.ejb.componentcore.util">EJBArtifactEdit</A>
<DD>
 Creates an instance facade for the given <CODE>ArtifactEditModel</CODE>
 
<DT><A HREF="../org/eclipse/jst/server/core/EJBBean.html" title="class in org.eclipse.jst.server.core"><B>EJBBean</B></A> - class org.eclipse.jst.server.core.<A HREF="../org/eclipse/jst/server/core/EJBBean.html" title="class in org.eclipse.jst.server.core">EJBBean</A>.<DD>&nbsp;<DT><A HREF="../org/eclipse/jst/server/core/EJBBean.html#EJBBean(IModule, java.lang.String, boolean, boolean)"><B>EJBBean(IModule, String, boolean, boolean)</B></A> - 
Constructor for class org.eclipse.jst.server.core.<A HREF="../org/eclipse/jst/server/core/EJBBean.html" title="class in org.eclipse.jst.server.core">EJBBean</A>
<DD>Create a new EJBBean.
<DT><A HREF="../org/eclipse/jst/j2ee/datamodel/properties/IEARComponentImportDataModelProperties.html#EJB_CLIENT_LIST"><B>EJB_CLIENT_LIST</B></A> - 
Static variable in interface org.eclipse.jst.j2ee.datamodel.properties.<A HREF="../org/eclipse/jst/j2ee/datamodel/properties/IEARComponentImportDataModelProperties.html" title="interface in org.eclipse.jst.j2ee.datamodel.properties">IEARComponentImportDataModelProperties</A>
<DD>Optional, A List containing ejb client jars associated with any ejb components which are to be imported.
<DT><A HREF="../org/eclipse/jst/j2ee/datamodel/properties/IJ2EEComponentExportDataModelProperties.html#EXPORT_SOURCE_FILES"><B>EXPORT_SOURCE_FILES</B></A> - 
Static variable in interface org.eclipse.jst.j2ee.datamodel.properties.<A HREF="../org/eclipse/jst/j2ee/datamodel/properties/IJ2EEComponentExportDataModelProperties.html" title="interface in org.eclipse.jst.j2ee.datamodel.properties">IJ2EEComponentExportDataModelProperties</A>
<DD>Optional, type Boolean.
<DT><A HREF="../org/eclipse/jst/j2ee/componentcore/EnterpriseArtifactEdit.html" title="class in org.eclipse.jst.j2ee.componentcore"><B>EnterpriseArtifactEdit</B></A> - class org.eclipse.jst.j2ee.componentcore.<A HREF="../org/eclipse/jst/j2ee/componentcore/EnterpriseArtifactEdit.html" title="class in org.eclipse.jst.j2ee.componentcore">EnterpriseArtifactEdit</A>.<DD>
 EnterpriseArtifactEdit obtains a type-specific J2EE metamodel from the managed
 <CODE>org.eclipse.wst.common.modulecore.ArtifactEditModel</CODE>.<DT><A HREF="../org/eclipse/jst/j2ee/componentcore/EnterpriseArtifactEdit.html#EnterpriseArtifactEdit(ComponentHandle, boolean)"><B>EnterpriseArtifactEdit(ComponentHandle, boolean)</B></A> - 
Constructor for class org.eclipse.jst.j2ee.componentcore.<A HREF="../org/eclipse/jst/j2ee/componentcore/EnterpriseArtifactEdit.html" title="class in org.eclipse.jst.j2ee.componentcore">EnterpriseArtifactEdit</A>
<DD>&nbsp;
<DT><A HREF="../org/eclipse/jst/j2ee/componentcore/EnterpriseArtifactEdit.html#EnterpriseArtifactEdit(ArtifactEditModel)"><B>EnterpriseArtifactEdit(ArtifactEditModel)</B></A> - 
Constructor for class org.eclipse.jst.j2ee.componentcore.<A HREF="../org/eclipse/jst/j2ee/componentcore/EnterpriseArtifactEdit.html" title="class in org.eclipse.jst.j2ee.componentcore">EnterpriseArtifactEdit</A>
<DD>
 Creates an instance facade for the given <CODE>ArtifactEditModel</CODE>.
<DT><A HREF="../org/eclipse/jst/j2ee/componentcore/EnterpriseArtifactEdit.html#EnterpriseArtifactEdit(ModuleCoreNature, WorkbenchComponent, boolean)"><B>EnterpriseArtifactEdit(ModuleCoreNature, WorkbenchComponent, boolean)</B></A> - 
Constructor for class org.eclipse.jst.j2ee.componentcore.<A HREF="../org/eclipse/jst/j2ee/componentcore/EnterpriseArtifactEdit.html" title="class in org.eclipse.jst.j2ee.componentcore">EnterpriseArtifactEdit</A>
<DD>
 Creates an instance facade for the given <CODE>WorkbenchComponent</CODE>.
</DL>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=3 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../serialized-form.html"><FONT CLASS="NavBarFont1"><B>Serialized</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<A HREF="#main"><FONT CLASS="NavBarFont1Rev"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="index-3.html"><B>PREV LETTER</B></A>&nbsp;
&nbsp;<A HREF="index-5.html"><B>NEXT LETTER</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="index-4.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>

</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<A HREF="index-1.html">A</A> <A HREF="index-2.html">C</A> <A HREF="index-3.html">D</A> <A HREF="index-4.html">E</A> <A HREF="index-5.html">F</A> <A HREF="index-6.html">G</A> <A HREF="index-7.html">H</A> <A HREF="index-8.html">I</A> <A HREF="index-9.html">J</A> <A HREF="index-10.html">M</A> <A HREF="index-11.html">N</A> <A HREF="index-12.html">O</A> <A HREF="index-13.html">P</A> <A HREF="index-14.html">R</A> <A HREF="index-15.html">S</A> <A HREF="index-16.html">T</A> <A HREF="index-17.html">U</A> <A HREF="index-18.html">V</A> <A HREF="index-19.html">W</A> <HR>

</BODY>
</HTML>
